Subject: Re: Duplicate Entries question

From: "Jim Sermersheim" <[email-masked]>
Date: Tue, 08 Aug 2000 13:48:21 -0600

>>> "David Chadwick" <[email-masked]> 8/5/00 5:44:34 PM >>>
>Jim
>
>How do you envisage the criticality flag and the partial control flag 
>interacting, for all four combinations, viz:
>
>i) critical false, partial true - presumably the server can duplicate 
>entries from zero to all of the attributes

If ther server is able to, it may duplicate a subset of the applicable search results. If the server is unable to process the control, it is ignored.

>ii) critical true, partial false - presumably the server must duplicate 
>entries for all of the attributes or fail

If ther server is able to, it must duplicate all of the applicable search results. If the server is unable to process the control, the operation fails.

>Now here are the interesting ones
>
>iii) critical false, partial false -  the server can duplicate entries for 
>zero OR all of the attributes, but not some number in between ?

If ther server is able to, it must duplicate all of the applicable search results. If the server is unable to process the control, the control is ignored.

>iv) critical true, partial true - the server can duplicate entries from 
>zero to all of the attributes, same as case i)? If this is the case it 
>means that criticality has no effect when partial is true.

If ther server is able to, it may duplicate a subset of the applicable search results. If the server is unable to process the control, the operation fails.

>I wonder if we really need both flags? If we wrote the spec to say 
>that if critical is false, the server can choose to duplicate entries 
>from any, all or none of the attributes, and if critical is true it must 
>do all or give an error, then we dont need the partial flag do we?
>
>David

The evaluation of the criticality flag lies in whether the server is able to understand and support the control at all. If the criticality flag is TRUE, the control MUST be executed as specified. If I want the behavior of i), I need both flags.

Jim